﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Syncfusion.Windows.Shared;
using System.Timers;
using System.Diagnostics;
//using ASLFileHandler;

namespace DockingManager1
{
    public class RadialSliderProperties : NotificationObject
    {
       
        private int sliderValue = 100;

        public string VariableName { get; set; }
        public int SliderValue
        {
            get
            {
                return sliderValue;
            }
            set
            {
                sliderValue = value; RaisePropertyChanged("SliderValue");               
            }
        }

        private double pointerFactor = 0.75d;
        public double PointerFactor
        {
            get
            {
                return pointerFactor;
            }
            set
            {
                pointerFactor = value; RaisePropertyChanged("PointerFactor");
            }

        }

        public RadialSliderProperties()
        {
            SetValue("180");
        }
       
        public void SetValue(string Value)
        {
            sliderValue = (int)Convert.ToDouble(Value);
            RaisePropertyChanged("SliderValue");
        }

        private void Notify(object sender, EventArgs e)
        {
            RaisePropertyChanged("SliderValue");
        }
    }
}
